Jump to content


Photo

[BFME2] T3A:Online Installation Support

bfme2

  • Please log in to reply
447 replies to this topic

#421 Deathfly

Deathfly
  • Members
  • 8 posts

Posted 13 December 2017 - 10:14 PM

I think i did the game.dat thing I found a game.dat form 2006 in the files and I assume that is the one I delete and I pasted the new game.dat in its place.  I can load up the game on the 1.0 patch but still cant with the 1.06 or 1.09.   Again I have downloaded 1.09 but I cant get 1.06 the link is broke for English download and the other one tries to get me to log into my google account for some reason.  Please help.  Can you post a link to the 1.06 that works?  You said I need to have both 1.06 and 1.09 downloaded right?



#422 Deathfly

Deathfly
  • Members
  • 8 posts

Posted 15 December 2017 - 08:50 PM

Can someone post a 1.06 patch link that works for english?  The one posted on the first page doesnt work and the other one tries to get you to login to your google account for some reason.



#423 ICT

ICT

    -

  • Division Admins
  • 3,051 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 15 December 2017 - 10:13 PM

http://lmgtfy.com/?q=bfme2+patch+1.06

 

https://www.gamerepl...l-106-downloads


"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#424 Deathfly

Deathfly
  • Members
  • 8 posts

Posted 16 December 2017 - 05:15 AM

ICT the link takes me to the same gamereplys site whos english's link is broken and dosent work and the alternative english link tries to get me to login to my google account for some reason.  Is there another place other then gamereplys whos links dont work to download it?  Why wont it work with the 1.09 patch dosent 1.09 contain all the fixes 1.06 has plus new fixes?



#425 ICT

ICT

    -

  • Division Admins
  • 3,051 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 16 December 2017 - 08:25 AM

Both links work just fine for me, maybe your antivir or firewall blocks the ftp download.

 

In any case, google let's me find many alternative download sources, eg

https://modding-unio...p?topic=33485.0


"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#426 Deathfly

Deathfly
  • Members
  • 8 posts

Posted 17 December 2017 - 08:56 PM

Ok I downloaded it and still cant launch 1.06 or 1.09.  1.0 still works though.  It still says "please insert CD rom".  What should I do next?  I really want to play online with everyone.



#427 ICT

ICT

    -

  • Division Admins
  • 3,051 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 17 December 2017 - 09:17 PM

Follow our guide in the pinned install topic... it's all in there.


"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#428 Deathfly

Deathfly
  • Members
  • 8 posts

Posted 18 December 2017 - 07:22 AM

I followed the guide the best I could.  Do you suggest I delete everything and do it again or only delete certain parts and if so which parts?



#429 ICT

ICT

    -

  • Division Admins
  • 3,051 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 18 December 2017 - 10:46 AM

Tell me exactly which steps you did and which you didn't.


"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#430 Fait

Fait
  • New Members
  • 1 posts

Posted 27 December 2017 - 12:08 PM

Cant log-in, have done every step but wont work.

 

It fails whenever I try to log-in online when in the game. Can anyone help?



#431 nford105

nford105
  • New Members
  • 1 posts

Posted 29 December 2017 - 08:16 AM

Hey guys! I have the game updated and working perfectly, but when I launch it via the T3A application and try to log on to the online servers I'm getting the regular green EA login screen instead of the red T3A login screen. Any ideas on how to fix that? Thanks

 

Edit: I realized it's supposed to be the regular login screen and I was just using the wrong user :) 


Edited by nford105, 29 December 2017 - 08:34 AM.


#432 Minus

Minus
  • New Members
  • 1 posts

Posted 03 February 2018 - 04:32 AM

Hi I am having an issue when I try to load up BFME2 and RotWK (online using T3AOnline)
------------------------------------------------------
This is the error message I get for BFME2:
------------------------------------------------------

Unknown field 'ShadowLOD' in block 'StaticGameLOD'.

Error parsing field 'ShadowLOD' in block 'StaticGameLOD' in file 'Data\INI\GameLOD.ini', line 20

Error Parsing INI block ' ShadowLOD' in file 'Data\Ini\GameLOD.ini'.
7 addresses:
(unknown) (0): game.dat+241950 Debug::PostStaticInit+3390
(unknown) (0): game.dat+2293599 UnicodeString::UnicodeString+55606
(unknown) (0): game.dat+2324389
GameClientRandomVariable::getValue+15977
(unknown) (0): game.dat+6447835 Xfer::~Xfer+118290
(unknown) (0): game.dat+ kernel32.dl+78698 Base ThreadInitThunk +18
(unknown) (0): game.dat+ ntdll +235778 RtlInitializeExceptionChain+99
(unknown) (0): game.dat+ ntdll.dll+235733 RtlInitializeExceptionChain+54

Because of the severity of this error the game will now exit.
------------------------------------------------------
And the error message for RotWK:

------------------------------------------------------
Invalid Sound 'Volume SampleMovie'

Error parsing field 'VolumeSampleMovie' in block 'MiscAudio' in file 'Data\INI\MiscAudio.ini', line 50.

Error parsing INI block ' VolumeSampleMovie' in file 'Data\INI\MiscAudio.ini'.
7 addresses:
(unknown) (0): game.dat+239838 Debug::PostStaticInit+3390
(unknown) (0): game.dat+2346667
String Base<char>::~StringBase<char>+262887
LineSegment2D::~LineSegment2D+20490
(unknown) (0): game.dat+6541831 Xfer::operator==+119943
(unknown) (0): kernel32.dll+78698 BaseThreadInitThunk+18
(unknown) (0): ntdll.dll+235778 RtInitializeExceptionChain+99
(unknown) (0): ntdll.dll+235733 RtInitializeExceptionChain+54

Because of the severity of this error the game will now exit.

------------------------------------------------------
I would have sent pics but they were in png.

Can anyone help?... I just want to play with my friend online.

 

Note: BFME1 is working for online and all (BFME, BFME2, ROTWK works offline)


Edited by Minus, 03 February 2018 - 04:34 AM.


#433 Slavic

Slavic
  • Members
  • 49 posts

Posted 10 February 2018 - 07:49 AM

I have for years been trying to install BFME2 and RotWK with no success. One day I gave up all hope but heard that someone is making a compact installer with patches and everything in one piece? 

 

Excuse me for asking this out of the blue here, I haven't been on the forum for quite some time, but has someone made the compact installer? I'd really like to be able to play this game once again. 



#434 ICT

ICT

    -

  • Division Admins
  • 3,051 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 10 February 2018 - 09:04 AM

If you follow the instructions you shouldn't have problems. Only the options.ini needs to be added manually.

Try to follow the steps one by one and let us know exactly where it doesn't work.


"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#435 Olorin84

Olorin84
  • Members
  • 6 posts

Posted 19 February 2018 - 01:07 PM

I downloaded the game from T3A and i have this error: 'Please insert the correct DVD-ROM, select OK and restart application'. I didn't find a crack inside the iso file, i used the keygen from T3A and the problem isn't resolved by running as an  administrator or by switching compatibility mode. I'm in windows 10 and i was fine with my previously installed versions of the game. However, when i use the update patch on my previous, the game asks to be cracked again, but that crack is not recognised by the new patch from T3A, so i get a different error. Is there a crack that i failed to find in the T3A iso file or i ammissing something here?



#436 ICT

ICT

    -

  • Division Admins
  • 3,051 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 19 February 2018 - 01:45 PM

Just follow the instructions in the pinned topic for installing the games. Nowadays one of the community made patches includes no-cd versions.


"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#437 Olorin84

Olorin84
  • Members
  • 6 posts

Posted 19 February 2018 - 01:51 PM

Just follow the instructions in the pinned topic for installing the games. Nowadays one of the community made patches includes no-cd versions.

I solved the problem it was my mistake, i just didn't see something. The crack was a seperate download included in the forum instructions. Thanks for quick respond though



#438 Darthsider

Darthsider
  • Members
  • 7 posts

Posted 20 March 2018 - 10:11 AM

 Hello all. I used the BFME II iso. to cleanly install the game then mounted it with Daemon Tools Lite version 4.46. After the  game installation , I updated the game with the patch switcher from 1.00 to 1.06 and 1.09. After that , I clicked on BFME II crash fix in order to prevent the game from crashing upon lauching. Later, I went to the Desktop , clicked on the game's launcher and launched it as Adminstrator in compatability mode : Windows XP. Then , it ran and froze on the black screen with the movies logo. It stopped running and popped up a message ; an error:

 

Problem signature:
  Problem Event Name: APPCRASH
  Application Name: game.dat
  Application Version: 1.6.2429.30210
  Application Timestamp: 45185e33
  Fault Module Name: atiumdag.dll
  Fault Module Version: 23.20.15007.1005
  Fault Module Timestamp: 5a36c0b2
  Exception Code: c0000005
  Exception Offset: 0029c9a6
  OS Version: 6.1.7601.2.1.0.256.1
  Locale ID: 1033
 
 What did I miss? What am I supposed to do in order to make it work? (By the way , my windows system is Windows 7 Ultimate 64 bit) Thank you.


#439 ICT

ICT

    -

  • Division Admins
  • 3,051 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 20 March 2018 - 10:12 AM

No idea, but just install the exact way as described here in the forum. Especially install patch 1.06 manually before using any patch switcher.


"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#440 Darthsider

Darthsider
  • Members
  • 7 posts

Posted 20 March 2018 - 10:19 AM

Thank you kindly for the reply. I will reinstall the game and come back with the result once it is done.







0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users